Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.emf.ecp.view.spi.table.model
Enum DetailEditing

    java.lang.Object
      java.lang.Enum<DetailEditing>
          org.eclipse.emf.ecp.view.spi.table.model.DetailEditing

All Implemented Interfaces:
  Serializable, Comparable<DetailEditing>, org.eclipse.emf.common.util.Enumerator

    public enum DetailEditing

extends Enum<DetailEditing>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Detail Editing', and utility methods for working with them.

See Also:
  `VTablePackage.getDetailEditing()`

Enum Constant Summary
`NONE` The 'None' literal object.
`WITH_DIALOG` The 'With Dialog' literal object.
`WITH_PANEL` The 'With Panel' literal object.

Field Summary
`static int` | `NONE_VALUE` The 'None' literal value.
`static List<DetailEditing>` | `VALUES` A public read-only list of all the 'Detail Editing' enumerators.
`static int` | `WITH_DIALOG_VALUE` The 'With Dialog' literal value.
`static int` | `WITH_PANEL_VALUE` The 'With Panel' literal value.

Method Summary
`static DetailEditing` | `get(int value)` Returns the 'Detail Editing' literal with the specified integer value.
`static DetailEditing` | `get(String literal)` Returns the 'Detail Editing' literal with the specified literal value.
`static DetailEditing` | `getByName(String name)` Returns the 'Detail Editing' literal with the specified name.
`String` | `getLiteral()`
`String` | `getName()`
`int` | `getValue()`
`String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
`static DetailEditing` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DetailEditing[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final DetailEditing NONE

  The 'None' literal object.

  See Also:
    `NONE_VALUE`

### WITH_DIALOG

    public static final DetailEditing WITH_DIALOG

  The 'With Dialog' literal object.

  See Also:
    `WITH_DIALOG_VALUE`

### WITH_PANEL

    public static final DetailEditing WITH_PANEL

  The 'With Panel' literal object.

  See Also:
    `WITH_PANEL_VALUE`

Field Detail

### NONE_VALUE

    public static final int NONE_VALUE

  The 'None' literal value.

  If the meaning of 'None' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE`, Constant Field Values

### WITH_DIALOG_VALUE

    public static final int WITH_DIALOG_VALUE

  The 'With Dialog' literal value.

  If the meaning of 'With Dialog' literal object isn't clear, there really should be more of a description here...

  See Also:
    `WITH_DIALOG`, Constant Field Values

### WITH_PANEL_VALUE

    public static final int WITH_PANEL_VALUE

  The 'With Panel' literal value.

  If the meaning of 'With Panel' literal object isn't clear, there really should be more of a description here...

  See Also:
    `WITH_PANEL`, Constant Field Values

### VALUES

    public static final List<DetailEditing> VALUES

  A public read-only list of all the 'Detail Editing' enumerators.

Method Detail

### values

    public static DetailEditing[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DetailEditing c : DetailEditing.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DetailEditing valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static DetailEditing get(String literal)

  Returns the 'Detail Editing' literal with the specified literal value.

### getByName

    public static DetailEditing getByName(String name)

  Returns the 'Detail Editing' literal with the specified name.

### get

    public static DetailEditing get(int value)

  Returns the 'Detail Editing' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `Enum<DetailEditing>`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2015. All Rights Reserved.